K Desktop Environment
Prev | Chapter 3. Installation | Next

# 3.4. Using TGZ to Install on Top of Other Systems

If your Linux distribution did not come with an RPM or DEB archive format, or you are not using Linux at all, you must compile KDE on your own. In the future, we are planning to provide a binary distribution which includes its own installation program.

In order to compile and install KDE properly, you need to have the following items installed on your hard disk:

- An ANSI-C compiler, e.g. the GNU C compiler.

- An ANSI-C++ compiler, e.g. GNU C++.

- The make utility.

- Qt development version 2.2 or higher.

- X11 development version (include files are often missing)

Once you have all the needed helper applications, go to your favorite KDE mirror and retrieve the following files from the directory `/pub/kde/stable/`newest version``:

- `kdesupport-`version`.tar.gz`

- `kdelibs-`version`.tar.gz`

- `kdebase-`version`.tar.gz`

- any other packages you wish to install. We advise you to get at least kdeutils.

In all cases above, `version` stands for the current version number. Once you have downloaded all you need, extract these files to `/usr/src`. This process should yield the following directory structure:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (any other packages)

Make sure you have write permissions to `/opt/kde`.

Next you must compile and install the packages using the following:

1. cd into the directory of the package, you want to install (see above)

2. ./configure (with the options you want to apply)

3. make

4. make install

Apply the above steps to every package you want to install.

| These instructions can be used for almost every source package available, not just KDE packages.

Every configure script has several options available. Some are common between the packages while others are specific to an individual package. The following is the part of the result of configure `--help` in kdelibs:

       --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Several options are not required and are only useful as work arounds for known problems (e.g. `--disable-FEATURE`). Since some are important options, for instance --with-shadow, you should always check the available options.

An important option is `--prefix`. This option specifies the path where configure should install (for kdesupport and kdelibs) or where to look for libraries (for the other packages). By default, configure will look in `/opt/kde` . If you want to install KDE into `/usr/local/kde`, you have to use configure `--prefix /usr/local/kde`.

If you have installed the Qt libraries in an uncommon place, for instance in `$HOME/src/qt`, you must use configure `--with-qt-dir=$HOME/src/qt`. By default configure looks in the most common places for QT before it gives up.

If you have problems that you are not able to solve, send a copy of the file `config.log` to the address in the `README` file in the offending package.

You must install KDE in the following order: kdesupport, kdelibs, then the application packages (for example kdebase). All the application packages should only depend on kdelibs, so you can compile them at the same time (if you have a powerful machine).

If you want to take advantage of multiprocessor systems, try make `-j `Number of processors`` instead of make.

## 3.4.1. Platform Specific Building Notes

### 3.4.1.1. Linux

For Linux, most of the utilities needed to build KDE can be found either at ftp://sunsite.unc.edu/pub/Linux/GCC or ftp://sunsite.unc.edu/pub/GNU. The Qt libraries can be found at ftp://ftp.troll.no/pub/qt/linux, available in source or RPM format for Linux. Both contain detailed instruction on how to install them. Include files for X11 programs should be available at ftp://ftp.xfree86.org in the xdevel section.

Prev | Home | Next
Linux: Installing DEBs for debian | Up | Required Changes To Your Configuration Files